﻿@*@using (Html.BeginForm("", "HSMaintenance", FormMethod.Post))
{*@
@Html.Partial("_PartialScript")
<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Date";
                        label.Height = 25;                        
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_DT_FROM";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  //settings.Properties.ClientSideEvents.DateChanged = "I_PACKING_ORDER_DT_FROM_OnChanged";
                  settings.Width = 110;
                  settings.Style.Add("display", "inline-table");
              }).GetHtml()
        </td>
        <td>
            To
        </td>
        <td>
            @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_DT_TO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  //settings.Properties.ClientSideEvents.DateChanged = "I_PACKING_ORDER_DT_FROM_OnChanged";
                  settings.Width = 110;
                  settings.Style.Add("display", "inline-table");
              }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Shift";
                        label.Height = 25;
                    }).GetHtml()
        </td>
        <td colspan="3">
            @Html.DevExpress().CheckBoxList(
                    settings =>
                    {
                        settings.Name = "checkShift";
                        //settings.Properties.RepeatLayout = options.RepeatLayout;
                        //settings.Properties.RepeatDirection = options.RepeatDirection;
                        settings.Properties.RepeatColumns = 2;
                    }).BindList(ViewData["Shift"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Status";
                        label.Height = 25;
                    }).GetHtml()
        </td>
        <td colspan="3">
            @Html.DevExpress().RadioButtonList(
                    settings =>
                    {
                        settings.Name = "RadioButtonWorkingDay";
                        //settings.Properties.ValueField = "WorkingDay";
                        //settings.Properties.TextField = "WorkingDayDescription";
                        //settings.Properties.RepeatLayout = options.RepeatLayout;
                        //settings.Properties.RepeatDirection = options.RepeatDirection;
                        settings.Properties.Items.Add("Holiday", 0);
                        settings.Properties.Items.Add("Working Day", 1);
                        
                        settings.Properties.RepeatColumns = 2;
                        
                    }).GetHtml()

           
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Reason";
                        label.Height = 25;
                    }).GetHtml()
        </td>
        <td colspan="3">
           @Html.DevExpress().Memo(
            settings =>
            {
                settings.Name = "memoReason";

                //settings.Text = "The editor's size can be controlled either by its Width and Height properties or, if they are not defined, by using the Columns and Rows properties.";

                settings.Properties.Columns = 40;
                settings.Properties.Rows = 6;
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="3" style="text-align:right">
            @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdSave";
                        print.Width = 110;
                        print.Text = "Save";
                        print.ClientSideEvents.Click = "OnSave";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ShippingInstructionTentative", "FTR-SPEX-148-02", "CREATE TENT");
                    }
                    ).GetHtml()
        </td>            
        <td>
            @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdCancel";
                        print.Width = 110;
                        print.Text = "Cancel";
                        print.ClientSideEvents.Click = "OnCancel";
                        //print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ShippingInstructionTentative", "FTR-SPEX-148-02", "CREATE TENT");
                    }
                    ).GetHtml()
        </td>
    </tr>
</table>
@*}*@